Subject: Re: bug#78909: [PATCH] Add 'forward-delete-char-hungry' command

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Jun 2025 09:37:26 +0300

> From: Elijah Gabe Pérez <[email-masked]>
> Date: Thu, 26 Jun 2025 17:58:27 -0600
> 
> This patch adds a new command similar to
> `backward-delete-char-untabify`, but intended to be used forward.

Thanks, but can you describe the rationale?

backward-delete-char-untabify exists because when the indentation is
done with TABs or a mix of TABs and SPCes, decrementing the
indentation by one column might involve replacing a TAB with the
equivalent number of SPC characters.  But this new command doesn't
have a comparable feature, whereby it "outdents" the line by one
column?  Instead, it seems it deletes the first character following
point, which means if that character is a TAB, the indentation will be
decreased by more than one column.

So what is the purpose of having this command, and what are the use
cases where it would be useful?